<html lang="en">
<head>
<title>Semantic Manual</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Semantic Manual">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="#Top">
<link href="http://www.gnu.org/software/texinfo/" rel="generator<ul class="index-cp" compact>
<li><a href="Parsing-Optimization.html#index-semantic_002dinhibit_002dfunctions-6"><code>semantic-inhibit-functions</code></a>: <a href="Parsing-Optimization.html#Parsing-Optimization">Parsing Optimization</a></li>
<li><a href="Canned-Configuration.html#index-semantic_002dload_002denable_002dcode_002dhelpers-2"><code>semantic-load-enable-code-helpers</code></a>: <a href="Canned-Configuration.html#Canned-Configuration">Canned Configuration</a></li>
<li><a href="Canned-Configuration.html#index-semantic_002dload_002denable_002dexcessive_002dcode_002dhelpers-4"><code>semantic-load-enable-excessive-code-helpers</code></a>: <a href="Canned-Configuration.html#Canned-Configuration">Canned Configuration</a></li>
<li><a href="Canned-Configuration.html#index-semantic_002dload_002denable_002dgaudy_002dcode_002dhelpers-3"><code>semantic-load-enable-gaudy-code-helpers</code></a>: <a href="Canned-Configuration.html#Canned-Configuration">Canned Configuration</a></li>
<li><a href="Canned-Configuration.html#index-semantic_002dload_002denable_002dminimum_002dfeatures-1"><code>semantic-load-enable-minimum-features</code></a>: <a href="Canned-Configuration.html#Canned-Configuration">Canned Configuration</a></li>
<li><a href="Canned-Configuration.html#index-semantic_002dload_002denable_002dsemantic_002ddebugging_002dhelpers-5"><code>semantic-load-enable-semantic-debugging-helpers</code></a>: <a href="Canned-Configuration.html#Canned-Configuration">Canned Configuration</a></li>
</ul>-home" title="Texinfo Homepage">
<!--
This manual documents Semantic, a new intrastructure for parser
based text analysis for Emacs.

Copyright (C) 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2007 Eric M. Ludlam
Copyright (C) 2001, 2002, 2003, 2005 David Ponce
Copyright (C) 2002, 2003 Richard Y. Kim

     Permission is granted to copy, distribute and/or modify this
     document under the terms of the GNU Free Documentation License,
     Version 1.1 or any later version published by the Free Software
     Foundation; with the Invariant Sections being list their titles,
     with the Front-Cover Texts being list, and with the Back-Cover
     Texts being list.  A copy of the license is included in the
     section entitled "GNU Free Documentation License".
-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<h1 class="settitle">Semantic Manual</h1>
<div class="contents">
<h2>Table of Contents</h2>
<ul>
<li><a name="toc_Top" href="index.html#Top">Semantic Manual</a>
<li><a name="toc_Overview" href="Overview.html#Overview">1 Overview</a>
<ul>
<li><a href="Semantic-Components.html#Semantic-Components">1.1 Semantic Components</a>
</li></ul>
<li><a name="toc_Installation_002fBasic-Configuration" href="Installation_002fBasic-Configuration.html#Installation_002fBasic-Configuration">2 Installation and Basic Configuration</a>
<ul>
<li><a href="Canned-Configuration.html#Canned-Configuration">2.1 Canned Configuration</a>
<li><a href="Search-Optimization.html#Search-Optimization">2.2 Search Optimization</a>
<li><a href="Parsing-Optimization.html#Parsing-Optimization">2.3 Parsing Optimization</a>
<ul>
<li><a href="Parsing-Optimization.html#Parsing-Optimization">2.3.1 Don't parse certain buffers</a>
<li><a href="Parsing-Optimization.html#Parsing-Optimization">2.3.2 Parsing in idle time</a>
</li></ul>
</li></ul>
<li><a name="toc_Semantic-manuals" href="Semantic-manuals.html#Semantic-manuals">3 Semantic manuals</a>
<li><a name="toc_Semantic-Internals" href="Semantic-Internals.html#Semantic-Internals">4 Semantic Internals</a>
<ul>
<li><a href="Semantic-Internals.html#Semantic-Internals">4.1 Semanticdb</a>
</li></ul>
<li><a name="toc_Glossary" href="Glossary.html#Glossary">Appendix A Glossary</a>
<li><a name="toc_GNU-Free-Documentation-License" href="GNU-Free-Documentation-License.html#GNU-Free-Documentation-License">Appendix B GNU Free Documentation License</a>
<ul>
<li><a href="GNU-Free-Documentation-License.html#GNU-Free-Documentation-License">ADDENDUM: How to use this License for your documents</a>
</li></ul>
<li><a name="toc_Index" href="Index.html#Index">Index</a>
</li></ul>
</div>



<div class="node">
<p>
<a name="Top"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Overview.html#Overview">Overview</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="../index.html#dir">(dir)</a>
<hr>
</div>

<h2 class="unnumbered">Semantic Manual</h2>

<p><i>semantic</i> is a program for Emacs which includes, at its core, a
lexer, and two compiler compilers (bovinator and wisent).  Additional
tools include, support for imenu, speedbar, whichfunc, eldoc,
hippie-expand, and several other build in tools.

<p>The core utility is the parser infrastructure which allows different
types of parsers to be linked into the system.  Two build in parsers
include the &ldquo;bovine&rdquo; parser, and the &ldquo;wisent&rdquo; parser.

<p>To send bug reports, or participate in discussions about semantic,
use the mailing list cedet-semantic@sourceforge.net via the URL:
<a href="http://lists.sourceforge.net/lists/listinfo/cedet-semantic">http://lists.sourceforge.net/lists/listinfo/cedet-semantic</a>

<ul class="menu">
<li><a accesskey="1" href="Overview.html#Overview">Overview</a>
<li><a accesskey="2" href="Installation_002fBasic-Configuration.html#Installation_002fBasic-Configuration">Installation/Basic Configuration</a>
<li><a accesskey="3" href="Semantic-manuals.html#Semantic-manuals">Semantic manuals</a>
<li><a accesskey="4" href="Semantic-Internals.html#Semantic-Internals">Semantic Internals</a>
<li><a accesskey="5" href="Glossary.html#Glossary">Glossary</a>
<li><a accesskey="6" href="GNU-Free-Documentation-License.html#GNU-Free-Documentation-License">GNU Free Documentation License</a>
<li><a accesskey="7" href="Index.html#Index">Index</a>
</ul>

<div class="node">
<p>
<a name="Index"></a>
Previous:&nbsp;<a rel="previous" accesskey="p" href="GNU-Free-Documentation-License.html#GNU-Free-Documentation-License">GNU Free Documentation License</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<h2 class="unnumbered">Index</h2>

</body></html>

